API Reference
Reconciliation
5 endpoints· Auth: JWT or API Key
get
/api/v1/console/cash/reconciliations JWT API KeyGet reconciliations
Query parameters
| From string (date) | — |
| To string (date) | — |
| Shift OperatingShift | — |
| Page integer (int32) | — |
| PerPage integer (int32) | — |
| Search string | — |
| Skip integer (int32) | — |
| Sort string | — |
| Dir string | — |
Responses
200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/cash/reconciliations" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Query parameters
Set credentials in the “Authorize” menu
post
/api/v1/console/cash/reconciliations JWT API KeyCreate reconciliations
Request body
application/json
{
"date": "2026-09-30",
"shift": "Morning",
"countedCash": 0,
"settledCard": 0,
"note": "string",
"clientOpId": "string",
"capturedAt": "2026-09-30T18:07:54.053Z",
"deviceId": "string",
"expectedSnapshot": {
"expectedCash": 0,
"expectedCard": 0,
"orderCount": 0
}
}| date string (date) | — |
| shift OperatingShift | — |
| countedCash integer (int64) | — |
| settledCard integer (int64) | — |
| note string | — |
| clientOpId string | — |
| capturedAt string (date-time) | — |
| deviceId string | — |
| expectedSnapshot ExpectedSnapshotRequest | — |
Responses
200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/cash/reconciliations" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"date": "2026-09-30",
"shift": "Morning",
"countedCash": 0,
"settledCard": 0,
"note": "string",
"clientOpId": "string",
"capturedAt": "2026-09-30T18:07:54.053Z",
"deviceId": "string",
"expectedSnapshot": {
"expectedCash": 0,
"expectedCard": 0,
"orderCount": 0
}
}' Try itagainst staging · https://staging-api.panoptesos.com
Request body (JSON)
Set credentials in the “Authorize” menu
get
/api/v1/console/cash/reconciliations/{id} JWT API KeyGet id
Path parameters
| idrequired string (uuid) | — |
Responses
200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/cash/reconciliations/{id}" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Set credentials in the “Authorize” menu
delete
/api/v1/console/cash/reconciliations/{id} JWT API KeyDelete id
Path parameters
| idrequired string (uuid) | — |
Request body
application/json
{
"reason": "string"
}| reason string | — |
Responses
200Success
cURL
curl -X DELETE "https://staging-api.panoptesos.com/api/v1/console/cash/reconciliations/{id}" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Set credentials in the “Authorize” menu
get
/api/v1/console/cash/reconciliations/expected JWT API KeyGet expected
Query parameters
| Date string (date) | — |
| Shift OperatingShift | — |
Responses
200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/cash/reconciliations/expected" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Query parameters
Set credentials in the “Authorize” menu